Bug 1565843 - Need to validate nic templates prior to starting a deployment.
Summary: Need to validate nic templates prior to starting a deployment.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Bob Fournier
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 22:11 UTC by Alexander Chuzhoy
Modified: 2019-11-12 19:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-12 19:25:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2018-04-10 22:11:18 UTC
Need to validate nic templates prior to starting a deployment.
Version:
instack-undercloud-8.4.0-2.el7ost.noarch
openstack-tripleo-heat-templates-8.0.2-0.20180327213846.el7ost.noarch


Starting a deployment of overcloud. It misses validating nic-config template.
This may lead to https://bugzilla.redhat.com/show_bug.cgi?id=1559536.

We need to ensure the nic templates are of the right version/format.

Comment 3 Alex Schultz 2018-04-10 22:14:36 UTC
Bob do you have a way of detecting the old vs new format that we can use during the deployment to fail fast?  It seems that if the old format is used, the deployment just times out which is not ideal.

Comment 4 Bob Fournier 2018-04-10 22:48:17 UTC
We have the check in THT/tools/yaml_validate.py to error if an old nice config file is in use, similar to if the template version is other than "pike", "queens" etc.  I guess that is not being invoked at the start of a deployment.  Will look into it...

Comment 6 Bob Fournier 2018-07-03 20:23:24 UTC
This needs to be added as part of tripleo-validations.

In addition, a check should be done for nic config files that have invalid bridge name definitions, e.g.:
name: {bridge_name}

These invalid bridge names can occur if the template is partially converted but the conversion failed.


Note You need to log in before you can comment on or make changes to this bug.